Summary:	UFconfig development files
Summary(pl.UTF-8):	Pliki programistyczne UFconfig
Name:		UFconfig
Version:	3.7.1
Release:	1
License:	no restrictions
Group:		Development
Source0:	http://www.cise.ufl.edu/research/sparse/UFconfig/%{name}-%{version}.tar.gz
# Source0-md5:	145b8126b7ee957d1ea6b401be0bf798
Patch0:		%{name}-config.patch
Patch1:		%{name}-shared.patch
URL:		http://www.cise.ufl.edu/research/sparse/UFconfig/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
UFconfig is required by nearly all sparse matrix packages that are
authored by Timothy A. Davis.

%description -l pl.UTF-8
UFconfig jest wymagany przez prawie wszystkie pakiety do obliczeń na
macierzach rzadkich autorstwa Timothy'ego A. Davisa.

%package libs
Summary:	UFconfig shared library
Summary(pl.UTF-8):	Biblioteka współdzielona UFconfig
Group:		Libraries

%description libs
UFconfig shared library, containing malloc/free wrappers.

%description libs -l pl.UTF-8
Biblioteka współdzielona UFconfig, zawierająca funkcje obudowujące
malloc/free.

%package devel
Summary:	Development files for UFconfig library
Summary(pl.UTF-8):	Pliki programistyczne biblioteki UFconfig
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-libs = %{version}-%{release}

%description devel
Development files for UFconfig library.

%description devel -l pl.UTF-8
Pliki programistyczne biblioteki UFconfig.

%package static
Summary:	UFconfig static library
Summary(pl.UTF-8):	Biblioteka statyczna UFconfig
Group:		Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
UFconfig static library.

%description static -l pl.UTF-8
Biblioteka statyczna UFconfig.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}" \
	INSTALL_LIB=%{_libdir}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_includedir},%{_datadir}/misc}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	INSTALL_LIB=%{_libdir}

cp -a UFconfig.mk $RPM_BUILD_ROOT%{_datadir}/misc

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.txt
%{_includedir}/UFconfig.h
%{_datadir}/misc/UFconfig.mk

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libufconfig.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libufconfig.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libufconfig.so
%{_libdir}/libufconfig.la

%files static
%defattr(644,root,root,755)
%{_libdir}/libufconfig.a
%changelog
* Fri May 25 2012 Jakub Bogusz <qboosh@pld-linux.org> bfa9294
- updated to 3.7.1

* Mon Jan 09 2012 Jakub Bogusz <qboosh@pld-linux.org> fbdcf72
- added INSTALL_{LIB,INCLUDE} adjustment to config patch
- added shared patch
- libufconfig library (-libs/-devel/-static subpackages); basic package still contains just
  make macros and header file (still useful without library)

* Sun Jan 01 2012 Jakub Bogusz <qboosh@pld-linux.org> 16d720e
- updated to kill optflags overrides

* Sat Dec 31 2011 Jakub Bogusz <qboosh@pld-linux.org> c99556c
- updated to 3.7.0
- updated config patch

* Sat May 28 2011 Jakub Bogusz <qboosh@pld-linux.org> ebdeb0e
- updated to 3.6.1
- more accurate license information

* Thu Jan 27 2011 Jakub Bogusz <qboosh@pld-linux.org> 63c638e
- updated to 3.6.0

* Wed Oct 13 2010 Jakub Bogusz <qboosh@pld-linux.org> f800d1d
- updated to 3.5.0
- updated config patch

* Fri Jan 23 2009 duddits <duddits@pld-linux.org> 7a2b13d
- updated to fit 3.2.0

* Fri Jan 23 2009 duddits <duddits@pld-linux.org> 3cefb53
- up to 3.2.0
- config.patch updated

* Fri Jan 04 2008 Jakub Bogusz <qboosh@pld-linux.org> 77b2730
- updated to 3.1.0
- updated config patch

* Fri Jan 04 2008 Jakub Bogusz <qboosh@pld-linux.org> 214f38b
- updated for 3.1.0

* Fri Dec 07 2007 Jan Rękorajski <baggins@pld-linux.org> c8b1be0
- rel 2

* Fri Dec 07 2007 Jan Rękorajski <baggins@pld-linux.org> c725a0b
- rel 1
- fix config wrt blas, fortran and metis

* Fri Dec 07 2007 Jan Rękorajski <baggins@pld-linux.org> 383f6bc
- teach UFconfig about system blas, fortran and metis

* Fri Mar 30 2007 Jakub Bogusz <qboosh@pld-linux.org> 6e3beaa
- pl

* Mon Mar 26 2007 Elan Ruusamäe <glen@pld-linux.org> e74db8e
- new

